| AOMedia AV1 Codec

OBMCBuffer Struct Reference

Contains buffers used to speed up rdopt for obmc. More...

`#include <block.h>`

## Data Fields
int32_t * | wsrc
| A new source weighted with the above and left predictors.
int32_t * | mask
| A new mask constructed from the original horz/vert mask.
uint8_t * | above_pred
| Prediction from the up predictor.
uint8_t * | left_pred
| Prediction from the up predictor.

## Detailed Description

Contains buffers used to speed up rdopt for obmc.

See the comments for calc_target_weighted_pred for details.

## Field Documentation

## ◆ wsrc

int32_t* OBMCBuffer::wsrc

A new source weighted with the above and left predictors.

Used to efficiently construct multiple obmc predictors during rdopt.

## ◆ mask

int32_t* OBMCBuffer::mask

A new mask constructed from the original horz/vert mask.

Used to efficiently construct multiple obmc predictors during rdopt.

## ◆ above_pred

uint8_t* OBMCBuffer::above_pred

Prediction from the up predictor.

Used to build the obmc predictor.

## ◆ left_pred

uint8_t* OBMCBuffer::left_pred

Prediction from the up predictor.

Used to build the obmc predictor.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h